Show / Hide Table of Contents

# Class TunnelConnectSessionEventArgs

A class that wraps the state when a tunnel connect event happen for Explicit endpoints.

##### Inheritance

Object
EventArgs
SessionEventArgsBase
TunnelConnectSessionEventArgs

##### Implements

IDisposable

##### Inherited Members

SessionEventArgsBase.BufferSize
SessionEventArgsBase.BufferPool
SessionEventArgsBase.ExceptionFunc
SessionEventArgsBase.TimeLine
SessionEventArgsBase.UserData
SessionEventArgsBase.IsHttps
SessionEventArgsBase.ClientEndPoint
SessionEventArgsBase.HttpClient
SessionEventArgsBase.WebSession
SessionEventArgsBase.CustomUpStreamProxyUsed
SessionEventArgsBase.LocalEndPoint
SessionEventArgsBase.IsTransparent
SessionEventArgsBase.Exception
SessionEventArgsBase.Dispose()
SessionEventArgsBase.DataSent
SessionEventArgsBase.DataReceived
SessionEventArgsBase.TerminateSession()
EventArgs.Empty
Object.Equals(Object)
Object.Equals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()
Object.ReferenceEquals(Object, Object)
Object.ToString()

###### Namespace: Titanium.Web.Proxy.EventArguments

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class TunnelConnectSessionEventArgs : SessionEventArgsBase, IDisposable

### Properties

| Improve this Doc View Source

#### DecryptSsl

Should we decrypt the Ssl or relay it to server? Default is true.

##### Declaration

    public bool DecryptSsl { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### DenyConnect

When set to true it denies the connect request with a Forbidden status.

##### Declaration

    public bool DenyConnect { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### IsHttpsConnect

Is this a connect request to secure HTTP server? Or is it to some other protocol.

##### Declaration

    public bool IsHttpsConnect { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

### Implements

System.IDisposable